Vtiful\Kernel\Format underline

- « Vtiful\Kernel\Format::italic

- Process Control Extensions »

- PHP Manual
- Vtiful\Kernel\Format
- Vtiful\Kernel\Format underline

# Vtiful\Kernel\Format::underline

(PECL xlswriter >= 1.2.1)

Vtiful\Kernel\Format::underline — Vtiful\Kernel\Format underline

### Description

public Vtiful\Kernel\Format::underline(resource `$handle`, int `$style`)

Vtiful\Kernel\Format underline format

### Parameters

`handle`

  xlsx file handle

`style`

  Vtiful\Kernel\Format constant

### Return Values

Resource

### Examples

Example #1 Underline style example

    <?php
    $config = [
        'path' => './tests'
    ];

    $excel = new \Vtiful\Kernel\Excel($config);
    $excel->fileName('tutorial01.xlsx');

    $format = new \Vtiful\Kernel\Format($excel->getHandle());
    $underlineStyle = $format->underline(\Vtiful\Kernel\Format::UNDERLINE_SINGLE)->toResource();

    $excel->header(['name', 'age'])
        ->data([['viest', 21]])
        ->setColumn('A:A', 200, $underlineStyle)
        ->output();
    ?>